<?php
/**
 * DiscountsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\MarketingClient;

use \Ensi\MarketingClient\Configuration;
use \Ensi\MarketingClient\ApiException;
use \Ensi\MarketingClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * DiscountsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DiscountsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createDiscount
     *
     * Создание объекта типа Discount.
     *
     */
    public function testCreateDiscount()
    {
    }

    /**
     * Test case for deleteDiscount
     *
     * Удаление объекта типа Discount.
     *
     */
    public function testDeleteDiscount()
    {
    }

    /**
     * Test case for getDiscount
     *
     * Получение объекта типа Discount.
     *
     */
    public function testGetDiscount()
    {
    }

    /**
     * Test case for massDiscountsStatusUpdate
     *
     * Массовое обновление статусов для объектов типа Discount.
     *
     */
    public function testMassDiscountsStatusUpdate()
    {
    }

    /**
     * Test case for patchDiscount
     *
     * Обновления части полей объекта типа Discount.
     *
     */
    public function testPatchDiscount()
    {
    }

    /**
     * Test case for searchDiscounts
     *
     * Поиск объектов типа Discount.
     *
     */
    public function testSearchDiscounts()
    {
    }
}
